MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# queue Struct Reference

A queue of songs. More...

`#include <queue.h>`

## Data Fields
unsigned | max_length
| configured maximum length of the queue
unsigned | length
| number of songs in the queue
uint32_t | version
| the current version number
struct queue_item * | items
| all songs in "position" order
unsigned * | order
| map order numbers to positions
int * | id_to_position
| map song ids to positions
bool | repeat
| repeat playback when the end of the queue has been reached?
bool | single
| play only current song.
bool | consume
| remove each played files.
bool | random
| play back songs in random order?
GRand * | rand
| random number generator for shuffle and random mode

## Detailed Description

A queue of songs.

This is the backend of the playlist: it contains an ordered list of songs.

Songs can be addressed in three possible ways:

- the position in the queue
- the unique id (which stays the same, regardless of moves)
- the order number (which only differs from "position" in random mode)

Definition at line 61 of file queue.h.

## Field Documentation

bool queue::consume

remove each played files.

Definition at line 88 of file queue.h.

int* queue::id_to_position

map song ids to positions

Definition at line 78 of file queue.h.

struct queue_item* queue::items

all songs in "position" order

Definition at line 72 of file queue.h.

unsigned queue::length

number of songs in the queue

Definition at line 66 of file queue.h.

unsigned queue::max_length

configured maximum length of the queue

Definition at line 63 of file queue.h.

unsigned* queue::order

map order numbers to positions

Definition at line 75 of file queue.h.

GRand* queue::rand

random number generator for shuffle and random mode

Definition at line 94 of file queue.h.

bool queue::random

play back songs in random order?

Definition at line 91 of file queue.h.

bool queue::repeat

repeat playback when the end of the queue has been reached?

Definition at line 82 of file queue.h.

bool queue::single

play only current song.

Definition at line 85 of file queue.h.

uint32_t queue::version

the current version number

Definition at line 69 of file queue.h.

The documentation for this struct was generated from the following file:

- src/queue.h